Report tracking information
POST /openapi/Shipment/UpdateShipmentVendorTrackingData — TMS API · Status Notification
Reports the tracking number and link to TMS if you transport the shipment with your own carrier integration.
- The shipment is found by
shipmentKey+consignmentNumber. - For vendor shipments, information is written to vendor tracking fields; for other shipments, the shipment's tracking number/link is updated and if
trackingUrlis populated, the shipment status changes to In Transfer Process.
İstek gövdesi
clientCode(string, zorunlu): Organization code.accountCode(string, zorunlu): Account code.carrierCode(string): Carrier code (used only byUpdateShipmentVendorTrackingDataAndCarrier).shipmentKey(string, zorunlu): Shipment's ShipmentKey.trackingUrl(string): Tracking link.trackingNumber(string): Tracking number.consignmentNumber(string, zorunlu): Shipment number.
Yanıtlar
- 200: Updated
- 400: Validation error or shipment not found
- 401: Token missing, invalid, or expired (response without body).
200 yanıt alanları
code(string): Value related to the error (e.g. incorrect account code or order number).message(string): Result or error message.success(boolean): Whether the operation was successful.